<template>
    <div class="conatiner">
        <div class="pageTitle">
            店铺管理
        </div>
        <el-alert style="width:500px;margin-bottom:20px;" title="您填写的信息将在店铺前台展示给买家，请认真填写哦。" type="warning">
        </el-alert>
        <setStoreInfo class="certain" :nowStyle='"商家店铺"' @nextStep='changeStep(3)'></setStoreInfo>

    </div>
</template>

<script>
import { mapState } from 'vuex'
import setStoreInfo from '../pagesPre/SetStoreInfo'
export default {
    name: 'order',
    data() {
        return {
            orderList: []
        }
    },
    computed: {
        ...mapState(['userInfo', 'myStoreInfo']),
    },
    mounted() {
        this.$http.get({
            url: '/userOrder/page',
            data: {
                storeId: this.myStoreInfo.id,
                pageNumber: 1,
                currentPage: 1
            }
        }).then(res => {
            if (res.success) {
                this.orderList = res.data.pp
            }
        }).catch(e => {
            console.log(e)

        })

    },
    methods: {


    },
    components: {
        setStoreInfo
    }
}
</script>

<style lang="less" scoped>
.conatiner {
    background: #fff;
    padding: 0 6px 50px 13px;

    .pageTitle {
        padding: 18px 0 10px;
        font-size: 14px;
        font-weight: bold;
        color: rgba(51, 51, 51, 1);
        line-height: 19px;
        border-bottom: 1px solid rgba(234, 234, 234, 1);
        margin-bottom: 10px;
    }
}
</style>
